<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Formularios</title>
    <link rel="stylesheet" href="../../../dist/css/plumcss.css">
    <link rel="stylesheet" href="../../../dist/css/plumcss_colors.css">
</head>
<body class="">
    <div class="container col-12 my-8">
        <h1 class=" tx-bluegrey-7 mt-8">Ejemplos de Formularios</h1>
        <form class="pb-8" action="">
            <div class="form-group">
                <label class="form-label" for="">Input select</label>
                <select class="form-input form-input-select" name="" id="" disabled>
                    <option value="">-- select --</option>
                    <option value="">-- select --</option>
                </select>
            </div>
            <div class="form-group">
                <label class="form-label" for="">Input number</label>
                <input class="form-input is-valid" type="number" placeholder="Label">
                <span class="is-valid-feedback">
                    Correct!
                </span>
            </div>
            <div class="form-group">
                <label class="form-label" for="">Input search</label>
                <input class="form-input is-warning" type="search" placeholder="Label">
                <span class="is-warning-feedback">
                    Warning
                </span>
            </div>
            <div class="form-group">
                <label class="form-label" for="">Input search</label>
                <input class="form-input is-invalid" type="search" placeholder="Label">
                <span class="is-invalid-feedback">
                    Incorrect!
                </span>
            </div>
            <h4 class=" tx-bluegrey-7 mt-8">
                Form grid
            </h4>
            <div class="form-grid">
                <div class="form-group col-8 gap-1">
                    <label class="form-label" for="">Etiqueta</label>
                    <input class="form-input" type="text" placeholder="Label" disabled>
                </div>
                <div class="form-group col-8">
                    <label class="form-label" for="">Etiqueta</label>
                    <input class="form-input" type="text" placeholder="Label">
                </div>
            </div>
            <div class="form-grid gap-6">
                <div class="form-group col-8">
                    <label class="form-label" for="">Etiqueta</label>
                    <input class="form-input" type="text" placeholder="Label">
                </div>
                <div class="form-group col-2">
                    <label class="form-label" for="">Etiqueta</label>
                    <input class="form-input" type="text" placeholder="Label">
                </div>
                <div class="form-group col-8 offset-6">
                    <label class="form-label" for="">Etiqueta</label>
                    <input class="form-input" type="text" placeholder="Label">
                </div>
            </div>
            <h4 class=" tx-bluegrey-7 mt-8">
                Offset input
            </h4>
            <div class="form-grid">
                <div class="form-group col-8">
                    <label class="form-label" for="">Etiqueta</label>
                    <input class="form-input" type="text" placeholder="Label">
                </div>
                <div class="form-group col-3 offset-13">
                    <label class="form-label" for="">Input offset</label>
                    <input class="form-input" type="text" placeholder="Label">
                </div>
            </div>
            <div class="form-grid">
                <div class="form-group col-3">
                    <label class="form-label" for="">Etiqueta</label>
                    <input class="form-input" type="text" placeholder="Label">
                </div>
                <div class="form-group col-8 offset-6">
                    <label class="form-label" for="">Input offset</label>
                    <input class="form-input" type="text" placeholder="Label">
                </div>
            </div>
            <h4 class=" tx-bluegrey-7 mt-8">
                Form input with helper
            </h4>
            <div class="form-grid">
                <div class="form-group col-8">
                    <label class="form-label" for="">
                        Etiqueta
                    </label>
                    <div class="form-input input-group" disabled>
                        <span class="input-group-helper bg-grey-1 rounded-l-4 border-1 border-grey-3 cursor-pointer">
                            &times;
                        </span>
                        <input class="input-group-field" type="text" placeholder="Label">
                    </div>
                </div>

                <div class="form-group col-8">
                    <label class="form-label" for="">
                        Etiqueta
                    </label>
                    <div class="form-input input-group">
                        <input class="input-group-field" type="text" placeholder="Label">
                        <span class="input-group-helper bg-grey-1 rounded-r-4 border-1 border-grey-3 cursor-pointer">
                            &#9679;
                        </span>
                    </div>
                </div>
            </div>

            <h4 class="tx-bluegrey-7 mt-8">
                Form input textarea
            </h4>
            <textarea class="form-input form-input-textarea" name="" id="" cols="30" rows="10" placeholder="Textarea"></textarea>
            <h4 class="tx-bluegrey-7 mt-8">
                Form checkox
            </h4>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="test">
                <label class="form-check-label" for="test">
                    Checkbox 1
                </label>
            </div>


            <h4 class="tx-bluegrey-7 mt-8">
                Form radio button
            </h4>

            <div class="form-radio">
                <input class="form-radio-input" type="radio" name="radio" id="rad">
                <label class="form-radio-label" for="rad">
                    radio 1
                </label>
            </div>

            <div class="form-radio">
                <input class="form-radio-input" type="radio" name="radio" id="rad2">
                <label class="form-radio-label" for="rad2">
                    radio 2
                </label>
            </div>

            <h4 class="tx-bluegrey-7 mt-8">
                Switch
            </h4>

            <!-- SWITCH -->
            <label class="form-switch" for="switch">
                <input class="form-switch-input" type="checkbox" id="switch">
                <span class="form-switch-slider"></span>
            </label>

            <label class="form-switch" for="switch2">
                <input class="form-switch-input" type="checkbox" id="switch2" disabled checked>
                <span class="form-switch-slider"></span>
            </label>
        </form>
    </div>
</body>
</html>